@echo off
cls

cd /d %~dp0

REM  Processing that results in an error if not executed with administrative privileges
openfiles > NUL 2>&1

REM If it is an error (general user privileges), move to the promotion process
if NOT %ERRORLEVEL% EQU 0 goto PROMOTION

echo -----------------------------------------------
echo  WV-ASM300's health check command to WV-ASF950
echo                 Update batch
echo. 
echo                      V1.00              
echo   Panasonic i-PRO Sensing Solutions Co., Ltd.
echo -----------------------------------------------
echo.
echo This batch updates WV-ASM300's health check command to WV-ASF950.
echo ** This batch is not needed for WV-ASM300 V2.30 or later. 
echo.
echo Execute? (Y/N)
SET /p userkey=
if "%userkey%"=="Y" GOTO RECONFIRM
if "%userkey%"=="y" GOTO RECONFIRM
REM Cancel except Y,y 
goto CANCEL
pause
exit /b


:RECONFIRM
echo Execute? (Reconfirm)(Y/N) 
SET /p userkey=
if "%userkey%"=="Y" GOTO CONTINUE
if "%userkey%"=="y" GOTO CONTINUE
REM Cancel except Y,y 
goto CANCEL
pause
exit /b


:CONTINUE
REM Check if Windows is 32bit or 64bit (because the installation path changes)
if "%PROCESSOR_ARCHITECTURE%" EQU "x86" (
    goto ARCH_X86
) else (
    goto ARCH_X64
)


:ARCH_X86
REM 32bit Windows
cd "C:\Program Files\Panasonic\asm300\aplxml"
FOR /F "usebackq" %%i IN (`powershell -command Get-Date -Format yyyy-MM-dd-HHmmss`) DO SET EXETIME=%%i
ren equipments.xml equipments_%EXETIME%.xml
echo Updating...
timeout 5 /nobreak >nul
powershell -Command "(Get-Content '.\equipments_%EXETIME%.xml') -replace '"brk.php"','"license.txt"' | Out-file -Encoding UTF8 '.\equipments.xml'"
goto END


:ARCH_X64
REM 64bit Windows
cd "C:\Program Files (x86)\Panasonic\asm300\aplxml"
FOR /F "usebackq" %%i IN (`powershell -command Get-Date -Format yyyy-MM-dd-HHmmss`) DO SET EXETIME=%%i
ren equipments.xml equipments_%EXETIME%.xml
echo Updating...
timeout 5 /nobreak >nul
powershell -Command "(Get-Content '.\equipments_%EXETIME%.xml') -replace '"brk.php"','"license.txt"' | Out-file -Encoding UTF8 '.\equipments.xml'"
goto END


:END
echo.
echo Updating health check commnad is finished.
echo Restart WV-ASM300.
echo.
pause
exit /b


:CANCEL
@echo off
echo This batch is cancelled.
echo.
pause
exit /b


:PROMOTION
REM Execute yourself with administrative privileges (promotion process)
echo Permission check in progress...
powershell start-process %~nx0 -verb runas